Package ru.bitel.bgbilling.kernel.event.events

# Class PersonalTariffTreeUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.PersonalTariffTreeUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class PersonalTariffTreeUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - изменение в дереве персонального тарифного плана договора.
Вызывается при изменении в дереве тарифного плана.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PersonalTariffTreeUpdateEvent()`
  ``
  `PersonalTariffTreeUpdateEvent(int userId, int cid, int ptid)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPtid()`
  Возвращает id персонального тарифного плана договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PersonalTariffTreeUpdateEvent

    protected PersonalTariffTreeUpdateEvent()

  - ### PersonalTariffTreeUpdateEvent

    public PersonalTariffTreeUpdateEvent(int userId, int cid, int ptid)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `ptid` - - id персонального тарифного плана договора

- ## Method Details

  - ### getPtid

    public int getPtid()
    Возвращает id персонального тарифного плана договора.
    Returns:
      ptid - id персонального тарифа